Bug 60924 - move libraries to autoinstallation in scp2
Summary: move libraries to autoinstallation in scp2
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0 target:4.2.0 target:4.3.0
Keywords: difficultyBeginner, easyHack, skillScript
Depends on:
Blocks:
 
Reported: 2013-02-15 19:39 UTC by Björn Michaelsen
Modified: 2016-02-18 16:37 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2013-02-15 19:39:19 UTC
The old build and packaging system of LibreOffice used a cumbersome way of double and triple bookkeeping to set which libs are build, were they end up and what package they belong to.

However, now the migration to the new gbuild build system is complete, we can move to automate that and setting things up in just one location (Repository.mk) -- starting with default library.

I will attach an example for migrating a library below.
Comment 2 Not Assigned 2013-02-15 19:46:24 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3ed5ab5e2a78914a38e349e82c9c1575ca635157

fdo#60924: move libbib to autoinstallation



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Not Assigned 2013-02-25 15:00:12 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=95e8e17558f6571981ccba9b2f0e90f1bbf07efa

fdo#60924: move chartcontroller from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2013-02-25 15:00:31 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=afab854df6b704d45404826302d048d8b706e4d9

fdo#60924: move chartcore from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Not Assigned 2013-02-25 15:00:48 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bece6c3a556e29f614b104a5d90882f73242cada

fdo#60924: move ctl from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Not Assigned 2013-02-25 15:01:08 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e9bb65ca3f04af009e96e6e1c9cbffdd27670d61

fdo#60924: move cui from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Not Assigned 2013-02-25 15:01:25 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c70c7954d785e83c4b599f605507d0c6fd58ef5

fdo#60924: move dba from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Not Assigned 2013-02-25 15:01:43 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=932f321a2d1c3a8629a63ca705828daaa363e762

fdo#60924: move sdbt from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Not Assigned 2013-02-25 15:02:01 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dfb3453e13af7a8b9de54bdd43f308663003f4c0

fdo#60924: move dbmm from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Not Assigned 2013-02-25 15:02:18 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8994165fc57382815e173d7ae3e55a6719f80dc6

fdo#60924: move dbase from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Not Assigned 2013-02-25 15:02:39 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c1dda9595db38ddbb0632c775b4cc02a806550fd

fdo#60924: move file from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Not Assigned 2013-02-25 15:02:57 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e487f8798bba6acdef2c504a7a293c52380b5f4d

fdo#60924: move odbcbase from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Not Assigned 2013-02-25 15:03:20 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=de8336cf29c814e24a077787b47880b1487b8ed8

fdo#60924: move dbtools from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Not Assigned 2013-02-25 15:03:38 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3cd951edd6588dc4ddd73013fba63caf1f44eeb0

fdo#60924: move dbaxml from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Not Assigned 2013-02-25 15:03:56 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d6e09503f77f5077ff2df7972e123b74135291b6

fdo#60924: move drawinglayer from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Not Assigned 2013-02-25 15:04:14 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=500aa64d6c2a3f413c2ae2de8e3a770f60c245db

fdo#60924: move emser from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Not Assigned 2013-02-25 15:04:32 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9cc557720fe8951d99b1b60b45ca41372eb4d7e8

fdo#60924: move frm from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Not Assigned 2013-02-25 15:04:50 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=28dd47a70b6210fcf6848c0e569807538c3a451d

fdo#60924: move fwe from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 19 Not Assigned 2013-02-25 15:05:08 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=167458f0306cc4cd144e9c61abc198239d505c88

fdo#60924: move fwi from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 20 Not Assigned 2013-02-25 15:05:26 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c21d6847a35e4feca57f888c3e8a4f8c4ee5bc95

fdo#60924: move fwl from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 21 Not Assigned 2013-02-25 15:05:44 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=65875bfafb5d41c0624db605521bb5586142e0fc

fdo#60924: move fwm from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 22 Not Assigned 2013-02-25 15:06:03 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b2d2d57530b7f45fe0addbd13463f63005332451

fdo#60924: move lng from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 23 Not Assigned 2013-02-25 15:06:21 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6d1cc9dca3d541be9354903cf2ae77899b703987

fdo#60924: move wpftwriter from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 24 Not Assigned 2013-02-25 15:06:39 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3d61a90591f53f3d73764915fa8b6368ccad4eba

fdo#60924: move t602filter from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 25 Not Assigned 2013-02-25 15:06:57 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=38ea2837998e5f8036184c06a285ddb8bc599337

fdo#60924: move lwpft from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 26 Not Assigned 2013-02-25 15:07:15 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b0565809774c27b2ec72b036ced42b935b7b4be9

fdo#60924: move writerfilter from scp2 to gbuild



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 27 Rene Engelhard 2013-03-05 10:02:23 UTC
and with all this done - how exactly do you say "lib X should be in poackage foo"?
scp2 doesn't work anymore and I don't see how you'd do it in Repository.mk

See e.g. http://anonscm.debian.org/gitweb/?p=pkg-openoffice/libreoffice.git;a=blob;f=patches/make-package-modules-not-suck.diff;h=2dbb63f3925915a2baeb019e001361367bfa5ed1;hb=refs/heads/debian-experimental-4.1.

Since this was done for e.g. dba (see http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c70c7954d785e83c4b599f605507d0c6fd58ef5) this ends up in *core*,
not in *base* (via gid_Module_Prg_Base_Bin)
Comment 28 Björn Michaelsen 2013-03-05 14:08:06 UTC
We are doing something like:

 gb_Helper_register_libraries_for_install,OOOLIB,OOO

in Repository.mk. The second parameter is the package that the stuff belongs to  and upstream thinks of all these belonging to -core. But we can have lots of those and then include the generated files properly the in the right scp2 files.

That is: We can have e.g. a:

 gb_Helper_register_libraries_for_install,OOOLIB,BASE-CORE

 gb_Helper_register_libraries_for_install,OOOLIB,WRITER

and include that group of libs in a different scp then.
Comment 29 David Tardon 2013-03-05 14:17:50 UTC
(In reply to comment #28)
> We are doing something like:
> 
>  gb_Helper_register_libraries_for_install,OOOLIB,OOO
> 
> in Repository.mk. The second parameter is the package that the stuff belongs
> to  and upstream thinks of all these belonging to -core. But we can have
> lots of those and then include the generated files properly the in the right
> scp2 files.
> 
> That is: We can have e.g. a:
> 
>  gb_Helper_register_libraries_for_install,OOOLIB,BASE-CORE
> 
>  gb_Helper_register_libraries_for_install,OOOLIB,WRITER
> 
> and include that group of libs in a different scp then.

Actually the problem is that you forgot to change file references from modules in all but the first commit, so the files got assigned into the root module.

Btw, could we use something less unwieldy than the _auto_installed suffix to indicate auto-installed stuff? E.g., change the leading gid_ to auto_?
Comment 30 David Tardon 2013-03-05 14:19:33 UTC
To clarify comment 29: currently only gid_File_Lib_basctl_auto_installed will be put into the right module.
Comment 31 Commit Notification 2013-04-11 14:52:29 UTC
Matuš Kukan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d11cad2a76f9ac5e914dcc53808cee4990c2dbf4

fdo#60924: autoinstall more libraries



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 32 Commit Notification 2013-04-11 14:52:49 UTC
Matuš Kukan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=52af0b0fee71a3002d28cd962deb30dd8cf194f6

fdo#60924 scp2: use auto_foo instead of gid_foo_auto_installed



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 33 Commit Notification 2013-04-15 12:05:18 UTC
Matuš Kukan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8008b66bf6fc7444fd889308e58870137f16f8d2

fdo#60924 autoinstall: add writer section; also add more libs



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 34 Commit Notification 2013-04-15 12:05:38 UTC
Matuš Kukan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=997d71cdd00e8fafd36b776ab3f0a4806f74e3e8

fdo#60924 scp2: use one variable listing them all



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 35 Commit Notification 2013-04-27 18:52:14 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3202b637c7f9fcbf05b30cb2a231be573e346be6

fdo#60924: Move some libs to autoinstallation



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 36 Commit Notification 2013-05-03 09:29:17 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6e8b24cc45c1f59a8c0ce6529a211331ee4f2a3e

fdo#60924: Move more libs to autoinstallation



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 37 Commit Notification 2013-05-04 15:45:45 UTC
Matuš Kukan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d0e099fb5fce0954a36767b62026477448600f68

fdo#60924 autoinstall - gbuild/scp2: add kde module



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 38 Commit Notification 2013-05-04 15:46:04 UTC
Matuš Kukan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4004342ef9cc7b7015b1dfd92c3b1def4df87a5c

fdo#60924: autoinstall kde libraries



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 39 Matúš Kukan 2013-05-04 16:14:16 UTC
Please see last two comments / commits and do similar.
We need gbuild to know about more scp2 modules - d0e099fb5fce0954a36767b62026477448600f68 teaches it about kde.
You can also do it in one or more commits.. and feel free to ask in doubt.
Comment 40 Commit Notification 2013-05-06 12:52:33 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d5d7d18d5cbfdc4b96cc705fa9a80525a9f60920

fdo#60924: Move some more libs to autoinstallation



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 41 Commit Notification 2013-05-07 20:46:37 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4656a89b0b126c45e359c24ad3f4906eb17a1fcc

fdo#60924 autoinstall - gbuild/scp2: add tde module



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 42 Commit Notification 2013-05-07 20:46:57 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=71ab998159e294ed91c24f483175de8696b3ae34

fdo#60924: autoinstall tde libraries



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 43 Commit Notification 2013-05-07 20:47:18 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=36564f36a8db30a9bd8ea4a50d2137b80c5052b6

fdo#60924 autoinstall - gbuild/scp2: add gnome module



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 44 Commit Notification 2013-05-09 03:35:41 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=67dd958fdbaf4949d188d825b0724615966129d0

fdo#60924 autoinstall - gbuild/scp2: add graphicfilter module



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 45 Commit Notification 2013-05-09 13:05:42 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c058341b6de3730b404f44347bea408243416379

fdo#60924: autoinstall graphicfilter libraries



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 46 Commit Notification 2013-05-17 15:29:30 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=33e0e0d843cd9ad0b7e698f9a3273af1ba78aa8c

fdo#60924: autoinstall gnome libraries



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 47 Commit Notification 2013-05-23 07:34:46 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2feb756dd5ff486a3972cf676f6f1d07017bf0f6

fdo#60924 autoinstall - gbuild/scp2: add onlineupdate module



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 48 Commit Notification 2013-06-01 07:10:01 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8a58bc2535cf0c8459d861d29b342ef39f7f833c

fdo#60924 autoinstall - gbuild/scp2: add math module



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 49 Commit Notification 2013-06-06 12:53:32 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=53070b048afcc7eaf1dbe79eecadb4045e65c342

fdo#60924 autoinstall - gbuild/scp2: add base module



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 50 Commit Notification 2013-06-06 22:41:42 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a6f81b3a98e136afabda512b4082b2be05490b34

fdo#60924 autoinstall - gbuild/scp2: add impress module



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 51 Commit Notification 2013-06-09 21:56:45 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=17704f59ccaeaa802f50b25eb4554fa98fa5faea

fdo#60924 autoinstall - gbuild/scp2: add canvas module



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 52 Commit Notification 2013-06-11 14:53:05 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cb548bc7a1c863d1716ce0f609a64f45a8d73328

fdo#60924 autoinstall - gbuild/scp2: add calc module



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 53 Commit Notification 2013-06-12 19:44:19 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=31ed7f0f8db493a108467f086fb1f23e6a2f917e

fdo#60924 autoinstall - gbuild/scp2: Move some libs to OOO and clean a little



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 54 Commit Notification 2013-06-13 07:03:56 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1c2ab8f7871e5b29f5c0025edfdd2ef9e1f795fa

fdo#60924 autoinstall - gbuild/scp2: Move more libs to OOO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 55 Commit Notification 2013-06-15 19:40:15 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1492a2f09c05a03289e46fbd4e453d1ac03d06f9

fdo#60924 autoinstall - gbuild/scp2: Move more libs to OOO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 56 Commit Notification 2013-07-23 23:32:03 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b0c43257d9db19ac45a93d8fb1e7648e82517289

fdo#60924 autoinstall - gbuild/scp2: still more libs to OOO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 57 Commit Notification 2013-07-24 12:46:35 UTC
Fridrich Å trba committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ad0f85eb1e839ca21f0a3511cd88b1a62854e5ae

Revert "fdo#60924 autoinstall - gbuild/scp2: still more libs to OOO"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 58 Commit Notification 2013-08-22 16:25:44 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3f8c36caef76ee1f688d35d39ac5bffe5d0f8319

fdo#60924 autoinstall - gbuild/scp2: Move more libs to OOO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 59 Commit Notification 2013-08-26 15:01:00 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=32848f0a8d9e30f77bc482f9295b2561b94cf7ca

fdo#60924 autoinstall - gbuild/scp2: Move more libs to OOO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 60 Björn Michaelsen 2013-10-04 18:48:05 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 61 Commit Notification 2013-11-24 21:10:16 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=24426c98a8c5ac410872df5a2b8e509f080365f8

fdo#60924 autoinstall - gbuild/scp2: Move more libs to OOO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 62 Marcos Souza 2013-12-24 15:18:54 UTC
How we can do now?

Looking at scp2/source/ooo/file_library_ooo.scp we have some third party libs like rasqal, raptor, lcms, opensll and others...

How we can handle these?

We need to change somethings in gbuild to handle all things that currently exists in scp2?

Thanks since now!
Comment 63 Michael Stahl (CIB) 2014-01-07 12:34:12 UTC
(In reply to comment #62)
> How we can do now?
> 
> Looking at scp2/source/ooo/file_library_ooo.scp we have some third party
> libs like rasqal, raptor, lcms, opensll and others...
> 
> How we can handle these?

as a first step they can be changed from referencing the libraries directly
to referencing Packages (like commit 6d9026f7a7ebad02b57fcd2dd15f66adeba361af )
which gets rid of lots of #ifdefs already.

we could probably go a bit further and add something like auto-installed
libraries also for packages, so that the packages are listed in Repository.mk
with the scp2 package, just like libraries, but that requires some new
functions in AutoInstall.mk.
Comment 64 Marcos Souza 2014-01-08 14:57:34 UTC
(In reply to comment #63)
> (In reply to comment #62)
> > How we can do now?
> > 
> > Looking at scp2/source/ooo/file_library_ooo.scp we have some third party
> > libs like rasqal, raptor, lcms, opensll and others...
> > 
> > How we can handle these?
> 
> as a first step they can be changed from referencing the libraries directly
> to referencing Packages (like commit
> 6d9026f7a7ebad02b57fcd2dd15f66adeba361af )
> which gets rid of lots of #ifdefs already.

Done: https://gerrit.libreoffice.org/#/c/7311/

> 
> we could probably go a bit further and add something like auto-installed
> libraries also for packages, so that the packages are listed in Repository.mk
> with the scp2 package, just like libraries, but that requires some new
> functions in AutoInstall.mk.

This is a difficult task? I don't know the "make language" very well, but maybe with code pointers I can make some progress :)
Comment 65 Michael Stahl (CIB) 2014-02-04 20:26:32 UTC
(In reply to comment #64)
> (In reply to comment #63)
> > we could probably go a bit further and add something like auto-installed
> > libraries also for packages, so that the packages are listed in Repository.mk
> > with the scp2 package, just like libraries, but that requires some new
> > functions in AutoInstall.mk.
> 
> This is a difficult task? I don't know the "make language" very well, but
> maybe with code pointers I can make some progress :)

with commits i just pushed it's now possible to auto-install Jars and Packages.

see 9870a5f73dcfa6c2c15bc1fc6ba70fa3539f33ac
and 5784cafe46338d3b94818213a4443d11c1324af9
for example conversions.
Comment 66 Commit Notification 2014-02-10 13:24:55 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4af38b099c741c3676aefeb20c515913aaeed666

fdo#60924: Move some packages to autoinstall



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 67 Commit Notification 2014-02-17 10:45:46 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f70343bbbb2dd1160edace1a2f457fb3b33a7322

fdo#60924: Move more libs/packages to autoinstall



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 68 Commit Notification 2014-03-03 12:40:08 UTC
Matuš Kukan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=083fa76745d0c8cb095d856df633866c117b0f3a

fdo#60924: Autoinstall lpsolve package.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 69 Matúš Kukan 2015-04-15 21:03:57 UTC
I believe this task has been done, so marking as resolved. Thanks all for the work.
Comment 70 Robinson Tryon (qubit) 2015-12-15 23:20:23 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillScript )
[NinjaEdit]
Comment 71 Robinson Tryon (qubit) 2016-02-18 16:37:30 UTC
Remove LibreOffice Dev List from CC on EasyHacks
(curtailing excessive email to list)
[NinjaEdit]